TIMESPEC_GET(3)

NAME
timespec_get - get current calendar time

LIBRARY
libc

SYNOPSIS
#include <time.h>
#define TIME_UTC 1
int
timespec_get(struct timespec *ts, int base);

DESCRIPTION
The timespec_get function sets the interval pointed to by ts to hold the current calendar time based on the specified time base in base.

Currently the only supported valid base is TIME_UTC. It returns time elapsed since epoch.

RETURN VALUES
The timespec_get function returns the passed value of base if successful, otherwise 0 on failure.

SEE ALSO
clock_gettime(2)

STANDARDS
The timespec_get function conforms to isoC-2011.

HISTORY
This interface first appeared in NetBSD 8.

AUTHORS
Kamil Rytarowski <kamil@NetBSD.org>